# FoundationClasses
TKAdvTools
Expr

# Expr_SingleRelation Class Reference

`#include <Expr_SingleRelation.hxx>`

Inheritance diagram for Expr_SingleRelation:

[legend]

## Public Member Functions

Standard_EXPORT void | SetFirstMember (const Handle(Expr_GeneralExpression)&exp)
| Defines the first member of the relation .
Standard_EXPORT void | SetSecondMember (const Handle(Expr_GeneralExpression)&exp)
| Defines the second member of the relation .
Standard_EXPORT Handle_Expr_GeneralExpression | FirstMember () const
| Returns the first member of the relation .
Standard_EXPORT Handle_Expr_GeneralExpression | SecondMember () const
| Returns the second member of the relation .
Standard_EXPORT Standard_Boolean | IsLinear () const
| Tests if <me> is linear between its NamedUnknowns. .
Standard_EXPORT Standard_Integer | NbOfSubRelations () const
| Returns the number of relations contained in <me>. .
Standard_EXPORT Standard_Integer | NbOfSingleRelations () const
| Returns the number of SingleRelations contained in <me> (Always 1). .
Standard_EXPORT Handle_Expr_GeneralRelation | SubRelation (const Standard_Integer index) const
| Returns the relation denoted by <index> in <me>. An exception is raised if index is out of range. .
Standard_EXPORT Standard_Boolean | Contains (const Handle(Expr_GeneralExpression)&exp) const
| Tests if <me> contains <exp>. .
Standard_EXPORT void | Replace (const Handle(Expr_NamedUnknown)&var, const Handle(Expr_GeneralExpression)&with)
| Replaces all occurences of with <with> in <me>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_GeneralExpression | myFirstMember
Handle_Expr_GeneralExpression | mySecondMember

## Member Function Documentation

Standard_EXPORT Standard_Boolean Expr_SingleRelation::Contains | ( | const Handle(Expr_GeneralExpression)& | exp | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_SingleRelation::FirstMember | ( |  | ) | const

Standard_EXPORT const Expr_SingleRelation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralRelation. Reimplemented in Expr_Different, Expr_Equal, Expr_GreaterThan, Expr_GreaterThanOrEqual, Expr_LessThan, and Expr_LessThanOrEqual.

Standard_EXPORT Standard_Boolean Expr_SingleRelation::IsLinear | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Standard_Integer Expr_SingleRelation::NbOfSingleRelations | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Standard_Integer Expr_SingleRelation::NbOfSubRelations | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT void Expr_SingleRelation::Replace | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Handle(Expr_GeneralExpression)& | with
| ) | `[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_SingleRelation::SecondMember | ( |  | ) | const

Standard_EXPORT void Expr_SingleRelation::SetFirstMember | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

Standard_EXPORT void Expr_SingleRelation::SetSecondMember | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

Standard_EXPORT Handle_Expr_GeneralRelation Expr_SingleRelation::SubRelation | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

## Field Documentation

Handle_Expr_GeneralExpression Expr_SingleRelation::myFirstMember `[private]`

Handle_Expr_GeneralExpression Expr_SingleRelation::mySecondMember `[private]`

The documentation for this class was generated from the following file:

- Expr_SingleRelation.hxx